Bug 193763 - Buffer overrun in add_minsym_members
Buffer overrun in add_minsym_members
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdb (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Jan Kratochvil
Jay Turner
:
Depends On: IT_49459
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-01 09:24 EDT by Peter Wainwright
Modified: 2015-01-07 19:12 EST (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2007-0229
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:22:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Correctly calculate size of string to allocate (586 bytes, patch)
2006-06-01 09:24 EDT, Peter Wainwright
no flags Details | Diff

  None (edit)
Description Peter Wainwright 2006-06-01 09:24:28 EDT
Description of problem: String buffer overflow
(allocation fails to include room for trailing '\0')


Version-Release number of selected component (if applicable):
gdb-6.3.0.0-1.96

How reproducible:
In ddd (gdb console) type
b 'AnyView::~AnyView'
  
Actual results:
glibc detected memory corruption in free.


Expected results:
Set breakpoint.

Additional info:
The maximum extra size of the string should be 10, not 9.
I calculate it as sizeof("'::base$(")+1.
Comment 1 Peter Wainwright 2006-06-01 09:24:28 EDT
Created attachment 130337 [details]
Correctly calculate size of string to allocate
Comment 2 Jan Kratochvil 2006-07-25 11:00:52 EDT
Patch confirmed as required and valid - for Red Hat patch
gdb-6.3-linespec-20041213.patch (CVS release 1.2).
Patch still needed for RPM built on top of "gdb-6.5.50.20060725-cvs".
Upstream "gdb-6.5.50.20060725-cvs" is not affected by this Bug.
Comment 4 Jay Turner 2006-08-14 21:44:52 EDT
QE ack for 4.5.
Comment 5 RHEL Product and Program Management 2006-08-18 11:44:38 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 Red Hat Bugzilla 2007-05-01 13:22:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0229.html

Note You need to log in before you can comment on or make changes to this bug.